#include "mainwindow.h"
#include "ofd/ofd.h"
#include "utils/utils.h"
#include <iostream>

#include <QApplication>

int main(int argc, char *argv[]) {
    QApplication a(argc, argv);
    MainWindow w;
    w.show();

    OFD ofd;
    std::vector<std::string> ofds = ofd.search_ofds();

    for (OFDModule o : ofds) {
        std::cout << to_utf8(o.get_name()) << ": " << to_utf8(o.get_url()) << std::endl;
    }

    return a.exec();
}
